Bug 7715 - Setting Samba Write Cache Size Can Cause File Corruption
Setting Samba Write Cache Size Can Cause File Corruption
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.5
All All
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 10921
  Show dependency treegraph
 
Reported: 2010-10-06 15:13 UTC by Jeremy Allison
Modified: 2014-11-06 08:23 UTC (History)
0 users

See Also:


Attachments
git am patch from Volker for 3.5.next. (685 bytes, patch)
2010-10-06 15:18 UTC, Jeremy Allison
jra: review?
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2010-10-06 15:13:07 UTC
Volker discovered "The problem is that we're getting an oplock break but continue
to use the write cache.". Patch to follow.
Comment 1 Jeremy Allison 2010-10-06 15:18:19 UTC
Created attachment 5999 [details]
git am patch from Volker for 3.5.next.

Volker wrote this, I reviewed and customer reported in the field it fixes the issue. Volker, once you've checked it's the same patch you wrote please re-assign to Karolin for inclusion in 3.5.next.
Jeremy.
Comment 2 Volker Lendecke 2010-10-06 15:47:52 UTC
Yep, it's the right patch. Karolin, please apply for 3.5. The patch also applies the same way to 3.4 and with git am -3 to 3.3 as well, I think a data corruption bug might justify being applied to older releases as well if we ever do one.

Volker
Comment 3 Jeremy Allison 2010-10-06 15:58:31 UTC
Even if we don't do an earlier release than 3.5.x, we can add it to the patches-for-old-versions pages ?
Jeremy.
Comment 4 Volker Lendecke 2010-10-06 16:11:39 UTC
Sure. How does that work? :-)

Volker
Comment 5 Karolin Seeger 2010-10-07 11:05:15 UTC
(In reply to comment #4)
> Sure. How does that work? :-)
> 
> Volker
> 

Done. You can have a look at the samba-web commits to retrace.
Comment 6 Karolin Seeger 2010-10-07 11:05:50 UTC
(In reply to comment #2)
> Yep, it's the right patch. Karolin, please apply for 3.5. The patch also
> applies the same way to 3.4 and with git am -3 to 3.3 as well, I think a data
> corruption bug might justify being applied to older releases as well if we ever
> do one.
> 
> Volker
> 

Pushed to v3-5-test and v3-4-test.
Closing out bug report.

Thanks!